Bug 185261 - Review Request: gnochm - CHM file viewer
Review Request: gnochm - CHM file viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On: 185260
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-12 17:07 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-09 07:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-12 17:07:25 EST
SRPM Name or Url: 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/gnochm-0.9.7-1.src.rpm
Description: 

A CHM file viewer for Gnome. Features are:

  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links
  * Internationalisation
  * Displays HTML page source
Comment 1 John Mahowald 2006-03-17 12:15:44 EST
Built fine, but when I tried to run it complained "No module named chm" Works
with python-chm installed. rpm isn't picking up that it requires python-chm,
make it explicit in the spec.
Comment 2 Patrice Dumas 2006-03-17 13:22:56 EST
Thanks. I also removed python-chm from the BuildRequires, as it doesn't seems to
be required when building. Updated srpm available here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/gnochm-0.9.7-1.src.rpm
Comment 3 John Mahowald 2006-03-21 16:45:23 EST
Builds, but some deps really should be explicit:
* BuildRequires: gettext is missing (required by the %find_lang macro)
* Missing dependancy on update-mime-database for %post (package shared-mime-info)
* Missing dependancy on update-mime-database for %postun (package shared-mime-info)

Otherwise:
- rpmlint checks return:
W: gnochm conffile-without-noreplace-flag /etc/gconf/schemas/gnochm.schemas
can ignore
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no unnecessary BR
- locales handled by %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file

Comment 4 Patrice Dumas 2006-03-21 16:56:53 EST
I didn't add a BR on shared-mime-info, because this is explicitely said here
that such BR shouldn't be added:

http://fedoraproject.org/wiki/ScriptletSnippets#head-ef39068afc1677de2e6b4370ad0fb24dafd4d47b
Comment 5 John Mahowald 2006-04-02 14:38:33 EDT
(In reply to comment #4)
> I didn't add a BR on shared-mime-info, because this is explicitely said here
> that such BR shouldn't be added:
> 
>
http://fedoraproject.org/wiki/ScriptletSnippets#head-ef39068afc1677de2e6b4370ad0fb24dafd4d47b

OK.

And it did build and runs. APPROVED.
Comment 6 Patrice Dumas 2006-04-09 07:48:53 EDT
Builds in devel, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.